Deployments.ai Docs
Operations

Show spend aggregates

GET /v1/spend · SDK listSpendRecords · CLI deployments spend show

GET
/v1/spend

Requires spend:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 1000
since?string

Inclusive canonical UTC timestamp.

Formatdate-time
until?string

Exclusive canonical UTC timestamp.

Formatdate-time

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

OperationalRecordPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/spend" \  -H "x-deployments-environment: string"
{  "items": [    {      "data": {        "property1": null,        "property2": null      },      "type": "string"    }  ],  "nextCursor": "string"}